Devel::MAT::Tool::Strtab(3pm)

NAME
"Devel::MAT::Tool::Strtab" - show information about the shared string table

DESCRIPTION
This "Devel::MAT" tool provides a command for listing entries from the shared string table, and identifying places where those strings are used.

COMMANDS

  strtab
   pmat> strtab
   ...

Prints a list of the keys from the shared string table. For each entry, it attempts to identify other places where the string is shared.

Takes the following named options:

--count, -c MAX
    Show at most this number of values (default 10).

--skip, -s COUNT
    Skip over this number of keys initially before starting to print.

--no-sort, -n
    Don't bother to sort keys before printing. Keys will be printed in no particular order (though the order will at least be stable between successive invocations of the command during the same session).

Takes the following positional arguments:

•   Optional filter pattern. If present, will only count and display keys matching the given regexp. Must be specified in the form "/PATTERN/" with optional trailing flags. The only permitted flags are "adilmsux".

AUTHOR
Paul Evans <leonerd@leonerd.org.uk>